import java.util.ArrayList;
import java.util.Collections;

public class ArrayListDemo {
    public static void main(String[] args) {
        // Creating an ArrayList of Integers
        ArrayList<Integer> numbers = new ArrayList<>();

        // Adding elements to the ArrayList
        numbers.add(10);
        numbers.add(30);
        numbers.add(20);
        numbers.add(40);

        // Sorting the ArrayList
        Collections.sort(numbers);

        // 1. Demonstrating size() method
        int size = numbers.size();
        System.out.println("Size of ArrayList: " + size);

        // 2. Demonstrating get() method - passing index
        int elementAtIndex2 = numbers.get(2);
        System.out.println("Element at index 2: " + elementAtIndex2);

        // 3. Demonstrating add() method - passing integer
        numbers.add(50);
        System.out.println("After adding 50: " + numbers);

        // Sorting the ArrayList again after adding 50
        Collections.sort(numbers);

        // 4. Demonstrating clear() method
        numbers.clear();
        System.out.println("After clearing the ArrayList: " + numbers);
    }
}

