import java.util.Stack;

public class StringReverser {
    public static String reverseString(String input) {
        // Creating a Stack to store characters
        Stack<Character> stack = new Stack<>();

        // Pushing each character of the input string onto the stack
        for (int i = 0; i < input.length(); i++) {
            stack.push(input.charAt(i));
        }

        // Building the reversed string by popping characters from the stack
        StringBuffer reversedString = new StringBuffer();
        while (!stack.empty()) {
            reversedString.append(stack.pop());
        }

        // Returning the reversed string
        return reversedString.toString();
    }

    public static void main(String[] args) {
        String originalString = "Hello, world!";
        String reversedString = reverseString(originalString);

        // Displaying the original and reversed strings
        System.out.println("Original string: " + originalString);
        System.out.println("Reversed string: " + reversedString);
    }
}

